%bcond_with rhel
%define  prever         rc3
%define  prever_dot     .rc3
%define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")

Summary: A Python Learning Environment
Name:    rurple
Version: 1.0
Release: 0.13%{?prever_dot}%{?dist}
License: GPLv2+
Group:   Development/Tools
Url:     http://rur-ple.sourceforge.net/
Source0: http://downloads.sourceforge.net/rur-ple/%{name}%{version}%{prever}.zip
Source1: rurple.desktop
Source2: rurple.sh
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Buildrequires: python-devel desktop-file-utils
Requires:  wxPython
BuildArch: noarch

%description
With the assistance of a robot named Reeborg, one can explore 
the fun of programming in the Python language.
A "Python Learning Environment" is a Python implementation of 
a "robot environment" as introduced by R. Pattis in 1981. 
RUR is similar in spirit to GvR, although it uses Python syntax. 
It also includes a Python shell.

%prep
%setup -q -n %{name}%{version}%{prever}
sed -i 's/\r//' world_files/adding_world.wld.bak
sed -i 's/\r//' COPYING.txt
chmod -x COPYING.txt

%build
%{__python} setup.py build

%install
rm -rf %{buildroot}
%{__python} setup.py install --root=%{buildroot}
mkdir -p %{buildroot}%{_datadir}/%{name}
install -m 755 %{SOURCE2} %{buildroot}%{_bindir}/rurple

pushd %{buildroot}%{_prefix}
chmod -x world_files/*
find -name "*.rur" | xargs -r chmod -x
find -name "*.htm" | xargs -r chmod -x
find -name "*.po"  | xargs -r chmod -x
find -name "*.txt" | xargs -r chmod -x
find -name "*.css" | xargs -r chmod -x
chmod +x %{buildroot}%{python_sitelib}/rur_py/test_import_lightning.py
chmod +x %{buildroot}%{python_sitelib}/rur_py/lightning.py
mv lessons rur_images rur_locale rur_programs world_files python_files %{buildroot}%{_datadir}/%{name}
sed -i -e's,cur_path = os.path.dirname(sys.argv\[0\]),cur_path = os.environ.get("HOME")+"/.rurple",g' bin/rur_start.py
popd

mkdir -p %{buildroot}%{_datadir}/pixmaps
cp -a %{buildroot}%{_datadir}/%{name}/rur_images/splash_screen_small.png \
      %{buildroot}%{_datadir}/pixmaps/%{name}.png

desktop-file-install --vendor ""                \
  --dir %{buildroot}%{_datadir}/applications    \
  %{SOURCE1}

%clean
rm -rf %{buildroot}

%files 
%defattr(-,root,root,-)
%doc COPYING.txt
%{python_sitelib}/rur_py
%{!?with_rhel:%{python_sitelib}/*.egg-info}
%{_bindir}/rur_start*
%{_bindir}/%{name}
%{_datadir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.png

%changelog
* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.0-0.13.rc3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Fri Jun 19 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0-0.12.rc3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0-0.11.rc3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0-0.10.rc3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0-0.9.rc3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0-0.8.rc3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0-0.7.rc3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0-0.6.rc3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Thu Jul 22 2010 David Malcolm <dmalcolm@redhat.com> - 1.0-0.5.rc3
- Rebuilt for https://fedoraproject.org/wiki/Features/Python_2.7/MassRebuild


* Tue Jan 11 2010 Paulo Roma <roma@lcg.ufrj.br> 1.0-0.4.rc3
- Fixed Source0 URL.

* Wed Nov 04 2009 Paulo Roma <roma@lcg.ufrj.br> 1.0-0.3.rc3
- Using a script to copy private data to ~/.rurple

* Mon Nov 02 2009 Paulo Roma <roma@lcg.ufrj.br> 1.0-0.2.rc3
- Fixed file permissions.

* Mon Nov 02 2009 Paulo Roma <roma@lcg.ufrj.br> 1.0-0.1.rc3
- Initial spec file.

